# Pattern

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
name | string | The name pattern to include/exclude. | True
if | bool | If true then the pattern will be used; otherwise, skipped. The default is true. | False
unless | bool | If false then the pattern will be used; otherwise, skipped. The default is false. | False

### Requirements

Assembly: NAnt.Core (0.92.4543.0)